edelib: Missing functions

edelib 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

Functions
Missing functions

## Functions
int | edelib_setenv (const char *name, const char *value, int overwrite)
int | edelib_unsetenv (const char *name)
char * | edelib_strndup (const char *str, unsigned int maxlen)
unsigned long | edelib_strlcpy (char *dst, const char *src, unsigned long sz)
unsigned long | edelib_strlcat (char *dst, const char *src, unsigned long sz)
int | edelib_scandir (const char *dir, struct dirent ***namelist, int(*filter)(const struct dirent *name), int(*compar)(struct dirent **n1, struct dirent **n2))
int | edelib_alphasort (struct dirent **n1, struct dirent **n2)
int | edelib_daemon (int nochdir, int noclose)

## Detailed Description

## Function Documentation

int edelib_alphasort | ( | struct dirent ** | n1,
|  | struct dirent ** | n2
| ) |  |

alphasort() implementation; a function that comes with scandir().

int edelib_daemon | ( | int | nochdir,
|  | int | noclose
| ) |  |

daemon() implementation.

int edelib_scandir | ( | const char * | dir,
|  | struct dirent *** | namelist,
|  | int(*)(const struct dirent *name) | filter,
|  | int(*)(struct dirent **n1, struct dirent **n2) | compar
| ) |  |

scandir() implementation.

int edelib_setenv | ( | const char * | name,
|  | const char * | value,
|  | int | overwrite
| ) |  |

Implementation of setenv() function. Older libc implementations on various UNIX-es does not provide it.

unsigned long edelib_strlcat | ( | char * | dst,
|  | const char * | src,
|  | unsigned long | sz
| ) |  |

Implementation of strlcat() function. This function operates similar to the strncat() except it will always terminate string with '\0' character, unless sz == 0. At most sz-1 characters will be copied. Returns strlen(dst) + strlen(src).

unsigned long edelib_strlcpy | ( | char * | dst,
|  | const char * | src,
|  | unsigned long | sz
| ) |  |

Implementation of strlcpy() function. This function operates similar to the strncpy() except it will always terminate string with '\0' character, unless sz == 0. Returns strlen(src).

char* edelib_strndup | ( | const char * | str,
|  | unsigned int | maxlen
| ) |  |

Implementation of strndup() function.

int edelib_unsetenv | ( | const char * | name | ) |

Implementation of unsetenv() function.